Subject: Re: No interaction with bash?
From: [email-masked] (Earnie Boyd)

27 May 1998 16:47:42 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked], [email-masked]

[email-masked] wrote:
>
> 
> 
> 
> 
> I've look in the FAQ and a brief tour in the mailing lists. Its
probably
> there but needs to be "in my face" a bit more ;-).
> Andway - If I run a "certain" program from cmd.exe it works fine. If
I run
> it from sh it exits without doing anything.
> 
> The program is MSVC link.exe
> 
> From CMD.EXE it prompts for files etc. as follows (ignore the fatal
error -
>  thats just me hitting return)
> 
> ------------
> C:\>k:\general\msvc\bin\link
> 
> Microsoft (R) Segmented Executable Linker  Version 5.60.339 Dec  5
1994
> Copyright (C) Microsoft Corp 1984-1993.  All rights reserved.
> 
> Object Modules [.obj]:
> Object Modules [.obj]:
> LINK : fatal error L1020: no object files specified
> ------------
> 
> From bash  I get the following: (ie no interaction at all )
> 
> ------------
> C:\>sh
> sh-2.01$ //k/general/msvc/bin/link
> sh-2.01$
> ------------
> 
> What gives?

To interact with NON-CYGWINB19.DLL dependent binaries you must "SET
CYGWIN32=notty" before starting bash.  You can add your other favorite
values but you must at least have notty.
==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".